//Worcester Polytechnic Institute - Computer Science Department
//IMGD-3xxx: HCI for Real, Virtual, and Teleoperated Environments
//Prof. Robert W. Lindeman
//Sample C# code for project 2.
//It sends a message to Arduino, receives a message in return and prints
//that on the console.

#region Using directives
//Includes library for serial port communication.
using System.IO.Ports;
#endregion

// Hello1.cs
public class Hello1
{
    public static void Main()
    {
        //Creates a SerialPort object. The port here used should match
        //the one Arduino is identified with in the Arduino application.
        SerialPort sp = new SerialPort("COM6", 9600, Parity.None, 8, StopBits.One);
        //Opens the selected serial port.
        sp.Open();
        //Sets the serial port read time out to 500 ms.
        sp.ReadTimeout = 500;
        //Writes to the serial port.
        sp.WriteLine("Hello!");
        //Reads data sent from Arduino thorugh the serial port 
        //and displays the data in the consolde line.
        string tempS = sp.ReadLine();
        System.Console.WriteLine(tempS);
        //Closes serial port.
        sp.Close();

    }
}